
//Script for collapsing question and answer category card
$('.collapse').on('hidden.bs.collapse', function () {
    $(this).prev('.card-header').removeClass('active');
});

/**
 * Ask the user for confirmation to train chatbot again
 * @returns true if the user confirm training
 */
function confirmTraining(data_amount) {
    return response = confirm("OBS! Er du sikker på du vil trene chatboten på "+data_amount+" spørsmål? Dette kan ta en stund. ");
}

function addLink(answer_id, event) {
    event.preventDefault(); // prevent form submission from reloading page
    var url = document.getElementById('url_input_' + answer_id).value;
    var text = document.getElementById('text_input_' + answer_id).value;

    var href = '<a href="'+url+'">'+text+'</a>';

    var textarea = document.getElementById('answer_text_' + answer_id);
    var cursorPosition = textarea.selectionStart;
    var textBeforeCursor = textarea.value.substr(0, cursorPosition);
    var textAfterCursor = textarea.value.substr(cursorPosition);
    
    textarea.value = textBeforeCursor + href + textAfterCursor;
}

/* function togleEvent() {
    var canvasEl = document.getElementById(myChart);
    if (canvasEl) {
        canvasEl.dispatchEvent("onchange");
    }
} */
